nodes:
    - address: "{{ kubernetes_public_ip_cluster }}"
      user: "{{ kubernetes_ssh_user }}"
      internal_address: "{{ kubernetes_private_ip_cluster }}"
      role:
        - controlplane
        - etcd
        - worker

ssh_agent_auth: {{ kubernetes_ssh_agent_auth }}

{% if kubernetes_public_ip_worker is defined %}
    - address: "{{ kubernetes_public_ip_worker }}"
      user: "{{ kubernetes_ssh_user }}"
      internal_address: "{{ kubernetes_private_ip_worker | default(kubernetes_public_ip_worker) }}"
      role:
        - worker
{% endif %}

services:
    kube-controller:
      cluster_cidr: 10.42.0.0/16
      service_cluster_ip_range: 10.43.0.0/16

network:
    plugin: flannel
    options:
        #~flannel_iface: eth1
        flannel_backend_type: vxlan
